package com.ibeetl.admin.core.entity;

import com.ibeetl.admin.core.annotation.Dict;

import java.util.Date;

public class DouYinChannelEntity extends BaseEntity{
	
	private Long id;
	
	private String  name;//渠道名称
	
	@Dict(type="channellevel")
	private String  channellevel;//渠道级别  1一级渠道  2二级渠道 3三级渠道
	
	private Date  inserttime;//入库日期
	
	private Date updatetime;
	
	private String link;//H5链接
	
	private int orderchannel;//渠道编码
	
	private String channeltype;//渠道类型
	
	private Long parentid; //父id
	
	private String remarks;//备注
	
	

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getChannellevel() {
		return channellevel;
	}

	public void setChannellevel(String channellevel) {
		this.channellevel = channellevel;
	}

	public Date getInserttime() {
		return inserttime;
	}

	public void setInserttime(Date inserttime) {
		this.inserttime = inserttime;
	}

	public Date getUpdatetime() {
		return updatetime;
	}

	public void setUpdatetime(Date updatetime) {
		this.updatetime = updatetime;
	}

	public String getLink() {
		return link;
	}

	public void setLink(String link) {
		this.link = link;
	}


	public int getOrderchannel() {
		return orderchannel;
	}

	public void setOrderchannel(int orderchannel) {
		this.orderchannel = orderchannel;
	}


	public String getChanneltype() {
		return channeltype;
	}

	public void setChanneltype(String channeltype) {
		this.channeltype = channeltype;
	}

	public Long getParentid() {
		return parentid;
	}

	public void setParentid(Long parentid) {
		this.parentid = parentid;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	@Override
	public String toString() {
		return "DouYinChannelEntity [id=" + id + ", name=" + name
				+ ", channellevel=" + channellevel + ", inserttime="
				+ inserttime + ", updatetime=" + updatetime + ", link=" + link
				+ ", orderchannel=" + orderchannel + ", channeltype="
				+ channeltype + ", parentid=" + parentid + ", remarks="
				+ remarks + "]";
	}
	
	
	

}
